> ## Documentation Index
> Fetch the complete documentation index at: https://support.i.moneyforward.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List workflows

> Retrieve workflow IDs and trigger details, optionally filtered by name or status.



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/workflows
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTful API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: Structures
    description: ''
  - name: People
    description: ''
  - name: People Stats
    description: ''
  - name: Employee Masters
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Custom Services
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Workspace Licenses
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Service Roles
    description: ''
  - name: Service Licenses
    description: ''
  - name: Recommended Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/workflows:
    get:
      tags:
        - Workflows
      summary: List workflows
      description: >-
        Retrieve workflow IDs and trigger details, optionally filtered by name
        or status.
      operationId: publicGetWorkflows
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: limit
          required: false
          in: query
          description: Limit the number of results returned. Maximum 200.
          schema:
            maximum: 200
            example: 50
            type: number
        - name: cursor
          required: false
          in: query
          description: Cursor to paginate through results.
          schema:
            type: string
        - name: status
          required: false
          in: query
          description: Filter workflows by status
          schema:
            $ref: '#/components/schemas/WorkflowStatus'
        - name: search
          required: false
          in: query
          description: Search workflows by name
          schema:
            maxLength: 255
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicGetWorkflowsResponseDto'
      security:
        - API-Key: []
components:
  schemas:
    WorkflowStatus:
      type: string
      enum:
        - enabled
        - disabled
        - stopped
        - suspended_by_system
    PublicGetWorkflowsResponseDto:
      type: object
      properties:
        items:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/PublicWorkflowDto'
        meta:
          nullable: true
          readOnly: true
          type: object
          allOf:
            - $ref: '#/components/schemas/OnlyNextCursorMeta'
      required:
        - items
        - meta
    PublicWorkflowDto:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          format: uuid
        name:
          type: string
          readOnly: true
        status:
          allOf:
            - $ref: '#/components/schemas/WorkflowStatus'
        triggerName:
          type: string
          nullable: true
          description: Latest version trigger name
        triggerType:
          type: string
          nullable: true
          description: Latest version trigger type
        isDraft:
          type: boolean
          nullable: true
          description: Whether the latest version is a draft
        deletedAt:
          type: string
          format: date-time
          nullable: true
        updatedAt:
          type: string
          readOnly: true
          format: date-time
        onDemandTriggerable:
          type: boolean
          nullable: true
          description: Whether this workflow can be triggered for identities
      required:
        - id
        - name
        - status
        - triggerName
        - triggerType
        - isDraft
        - deletedAt
        - updatedAt
        - onDemandTriggerable
    OnlyNextCursorMeta:
      type: object
      properties:
        nextCursor:
          type: string
          nullable: true
          readOnly: true
          example: F3UdkoSbpBNrjwP93AX2HQ
      required:
        - nextCursor
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank' rel='noopener noreferrer'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.